From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-boxes/
Date: Thu, 29 Jul 2021 20:58:36 +0000 (UTC) [thread overview]
Message-ID: <1627592301.be6b1ad6e4cf1983d0b765760eff39cf73651ed6.mattst88@gentoo> (raw)
commit: be6b1ad6e4cf1983d0b765760eff39cf73651ed6
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 29 20:10:59 2021 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Jul 29 20:58:21 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be6b1ad6
gnome-extra/gnome-boxes: Version bump to 40.3
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
| 1 +
| 129 ++++++++++++++++++++++++
2 files changed, 130 insertions(+)
--git a/gnome-extra/gnome-boxes/Manifest b/gnome-extra/gnome-boxes/Manifest
index b13441d5d3b..48dc019d213 100644
--- a/gnome-extra/gnome-boxes/Manifest
+++ b/gnome-extra/gnome-boxes/Manifest
@@ -1 +1,2 @@
DIST gnome-boxes-40.2.tar.xz 1697352 BLAKE2B 07f9fbad526bea4239a6eac3a3a26a53d30daab938158c4904b5ae674cf64cb2dd0fc6de073c41fc023c66df0328bc02dccf994ef09af597f117914c11bedefb SHA512 22f4a66bb60b47ae7c5ca7fb6f60eddf16a1ad209aa4541f05f732d815a2ac9f2fdac9f6d87cd5cf44d402d0f0d114466efbf129b22fea7b9b054e1b3c3ac145
+DIST gnome-boxes-40.3.tar.xz 1697444 BLAKE2B a7c1677224dde80142abdeeff8b99929c7b86ce38a3432bf0368ec93146df0a813cbeae033fc8cbcd2fb8cd5b28170e0385224f36a9517ed54244e94a3453b6c SHA512 1944414feb6fab054f46e32b5f245042c882cf0a1ecde0eafced81adda16af1018203139177d3f9fa1d2eaf1565ee9e3b3fdff63c4a4b06b0802e20a2f064890
--git a/gnome-extra/gnome-boxes/gnome-boxes-40.3.ebuild b/gnome-extra/gnome-boxes/gnome-boxes-40.3.ebuild
new file mode 100644
index 00000000000..5ce011c05b5
--- /dev/null
+++ b/gnome-extra/gnome-boxes/gnome-boxes-40.3.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+VALA_USE_DEPEND="vapigen"
+VALA_MIN_API_VERSION="0.40"
+
+inherit gnome.org gnome2-utils linux-info meson readme.gentoo-r1 vala xdg
+
+DESCRIPTION="Simple GNOME application to access remote or virtual systems"
+HOMEPAGE="https://wiki.gnome.org/Apps/Boxes"
+
+LICENSE="LGPL-2+ CC-BY-2.0"
+SLOT="0"
+
+IUSE="rdp"
+KEYWORDS="~amd64"
+
+# FIXME: qemu probably needs to depend on spice[smartcard] directly with USE=spice
+# FIXME: Check over libvirt USE=libvirtd,qemu and the smartcard/usbredir requirements
+# Technically vala itself still ships a libsoup vapi, but that may change, and it should be better to use the .vapi from the same libsoup version
+# gtk-vnc raised due to missing vala bindings in earlier ebuilds
+DEPEND="
+ >=app-arch/libarchive-3.0.0:=
+ >=dev-libs/glib-2.52:2
+ >=x11-libs/gtk+-3.24.1:3
+ >=net-libs/gtk-vnc-0.8.0-r1[gtk3(+)]
+ x11-libs/gtksourceview:4
+ >=sys-libs/libosinfo-1.7.0
+ app-crypt/libsecret
+ >=net-libs/libsoup-2.44:2.4
+ virtual/libusb:1
+ >=app-emulation/libvirt-glib-4.0.0
+ >=dev-libs/libxml2-2.7.8:2
+ >=net-misc/spice-gtk-0.32[gtk3(+),smartcard,usbredir]
+ app-misc/tracker:3
+ >=net-libs/webkit-gtk-2.26.0:4
+ >=gui-libs/libhandy-1.0.0:1=
+
+ >=dev-libs/gobject-introspection-1.56:=
+ >=dev-libs/libgudev-165:=
+ rdp? ( >=net-misc/freerdp-2.0.0:= )
+" # gobject-introspection needed for libovf subproject (and gtk-frdp subproject with USE=rdp)
+# These are called via exec():
+# sys-fs/mtools mcopy for unattended file copying for files that libarchive doesn't support
+# app-cdr/cdrtools mkisofs is needed for unattended installer secondary disk image creation
+# app-emulation/libguestfs virt-sysprep is used for VM cloing, if not there, it logs debug and doesn't function
+# sys-apps/policycoreutils restorecon is used for checking selinux context
+# app-emulation/libvirt virsh used for various checks (and we need the library anyways)
+# sys-auth/polkit used for making all libvirt system disks readable via "pkexec chmod a+r" that aren't already readable to the user (libvirt system importer)
+# app-emulation/qemu qemu-img used to convert image to QCOW2 format during copy
+RDEPEND="${DEPEND}
+ app-cdr/cdrtools
+ app-misc/tracker-miners:3[iso]
+ app-emulation/spice[smartcard]
+ >=app-emulation/libvirt-0.9.3[libvirtd,qemu]
+ >=app-emulation/qemu-1.3.1[spice,smartcard,usbredir]
+ sys-fs/mtools
+ sys-auth/polkit
+"
+# gtk-frdp generates gir and needs gtk+ introspection for it
+# This is only needed for creating the .vapi file, but gnome-boxes needs it
+BDEPEND="
+ $(vala_depend)
+ net-libs/gtk-vnc[vala]
+ sys-libs/libosinfo[vala]
+ app-crypt/libsecret[vala]
+ net-libs/libsoup:2.4[vala]
+ app-emulation/libvirt-glib[vala]
+ net-misc/spice-gtk[vala]
+ x11-libs/vte:2.91[vala]
+ dev-libs/appstream-glib
+ rdp? ( x11-libs/gtk+:3[introspection] )
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="Before running gnome-boxes for local VMs, you will need to load the KVM modules.
+If you have an Intel Processor, run:
+# modprobe kvm-intel
+
+If you have an AMD Processor, run:
+# modprobe kvm-amd"
+
+pkg_pretend() {
+ linux-info_get_any_version
+
+ if linux_config_exists; then
+ if ! { linux_chkconfig_present KVM_AMD || \
+ linux_chkconfig_present KVM_INTEL; }; then
+ ewarn "You need KVM support in your kernel to use GNOME Boxes local VM support!"
+ fi
+ fi
+}
+
+src_prepare() {
+ xdg_src_prepare
+ vala_src_prepare
+}
+
+src_configure() {
+ local emesonargs=(
+ -Ddistributor_name=Gentoo
+ -Ddistributor_version=${PVR}
+ $(meson_use rdp)
+ -Dinstalled_tests=false
+ -Dflatpak=false
+ -Dprofile=default
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
next reply other threads:[~2021-07-29 20:58 UTC|newest]
Thread overview: 68+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-29 20:58 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-16 11:28 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-boxes/ Pacho Ramos
2024-07-16 11:28 Pacho Ramos
2024-03-02 22:41 Mart Raudsepp
2024-02-10 18:53 Arthur Zamarin
2023-09-22 2:33 Matt Turner
2023-09-18 17:03 Matt Turner
2023-09-12 14:53 Matt Turner
2023-07-15 11:43 Arthur Zamarin
2023-05-30 15:53 Matt Turner
2023-05-02 19:02 Arthur Zamarin
2023-04-04 18:42 Matt Turner
2023-03-18 0:11 Matt Turner
2023-02-20 17:32 Matt Turner
2023-02-15 4:10 Matt Turner
2023-01-01 14:48 David Seifert
2022-12-23 0:19 Matt Turner
2022-10-30 22:29 Matt Turner
2022-10-29 2:54 Matt Turner
2022-07-07 16:01 Matt Turner
2022-07-02 20:47 Sam James
2022-05-30 19:50 Matt Turner
2022-03-27 3:54 Matt Turner
2022-01-13 22:34 Matt Turner
2022-01-05 16:44 Mart Raudsepp
2022-01-05 16:22 Mart Raudsepp
2021-10-04 1:25 Sam James
2021-07-08 17:35 Matt Turner
2021-06-06 21:49 Matt Turner
2021-05-29 9:02 Sam James
2021-05-03 16:24 Matt Turner
2021-04-28 16:27 Matt Turner
2020-12-18 9:00 Michał Górny
2020-08-30 18:09 Sam James
2020-08-09 13:26 Mart Raudsepp
2020-07-26 11:46 Mart Raudsepp
2020-04-04 13:05 Mart Raudsepp
2020-02-23 12:43 Mart Raudsepp
2019-08-23 19:33 Mart Raudsepp
2019-08-22 18:11 Mart Raudsepp
2019-05-18 20:46 Mart Raudsepp
2019-04-10 12:20 Mart Raudsepp
2019-04-09 21:09 Mikle Kolyada
2019-03-07 21:14 Mart Raudsepp
2019-02-15 13:42 Mart Raudsepp
2019-01-23 11:34 Mart Raudsepp
2019-01-23 11:34 Mart Raudsepp
2018-04-29 0:08 Mart Raudsepp
2018-04-26 22:32 Aaron Bauman
2018-04-15 11:00 Mart Raudsepp
2018-04-11 13:45 Mart Raudsepp
2018-02-03 22:00 Mart Raudsepp
2018-01-18 3:44 Mikle Kolyada
2017-08-11 7:18 Gilles Dartiguelongue
2017-04-02 14:05 Mart Raudsepp
2017-03-23 8:25 Mart Raudsepp
2016-11-23 8:13 Gilles Dartiguelongue
2016-11-13 11:39 Gilles Dartiguelongue
2016-11-09 8:28 Gilles Dartiguelongue
2016-10-20 22:31 Gilles Dartiguelongue
2016-10-20 22:31 Gilles Dartiguelongue
2016-06-25 16:53 Pacho Ramos
2016-06-25 16:53 Pacho Ramos
2016-03-06 18:58 Mikle Kolyada
2016-03-06 18:58 Mikle Kolyada
2015-11-14 19:46 Pacho Ramos
2015-11-14 19:46 Pacho Ramos
2015-09-07 21:11 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1627592301.be6b1ad6e4cf1983d0b765760eff39cf73651ed6.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox